%{

#undef input
#undef unput

int input(void);
void unput(int c);
unsigned verbose;
char *progName;
%}

%%
-h |
"-?" |
-help {
         printf("Usage is: %s [-help | -h | -? ] [-verbose | -v] [(-file | -f) filename]\n",progName);
      }
-verbose |
-v    {  printf("verbose mode is on\n"); verbose=1; }

%%


char **targv;
char **arglim;

main(int argc,char **argv) {
    progName=*argv;
    targv=argv+1;
    arglim=argv+argc;
    yylex();
}

static unsigned offset=0;

int input(void) {
    char c;
    if (targv>=arglim) return 0; /* EOF*/
    if ((c=targv[0][offset++])!='\0') return c;
    targv++;
    offset=0;
    return(' ');
}

void unput(int c) {
   if (c==0) return; /* IGNORE, can't put back EOF */
   if (offset) {offset--; return;}
   targv--;
   offset=strlen(*targv);
}
 

yywrap() {
return 1;
}
